using System;
using System.Windows.Input;

namespace Elwig.Helpers {
    public class ActionCommand : ICommand {

        public event EventHandler? CanExecuteChanged;
        private readonly Action Action;

        public ActionCommand(Action action) {
            Action = action;
        }

        public void Execute(object? parameter) {
            Action();
        }

        public bool CanExecute(object? parameter) {
            return true;
        }
    }
}
